Extension { #name : #PRText }

{ #category : #'*Grafoscopio' }
PRText >> isTextOrLineBreak [
	^ true
]

{ #category : #'*Grafoscopio' }
PRText >> markAsDirty [
	self parent ifNotNil: [ :p | p markAsDirty ]
]

{ #category : #'*Grafoscopio' }
PRText >> next [
	^ self propertyAt: #next ifAbsent: [ nil ]
]

{ #category : #'*Grafoscopio' }
PRText >> next: aText [
	self propertyAt: #next put: aText.
]

{ #category : #'*Grafoscopio' }
PRText >> textStart [
	^ self propertyAt: #textStart
]

{ #category : #'*Grafoscopio' }
PRText >> textStart: aValue [
	^ self
		propertyAt: #textStart
		put: aValue
]

{ #category : #'*Grafoscopio' }
PRText >> textStop [
	^ self propertyAt: #textStop
]

{ #category : #'*Grafoscopio' }
PRText >> textStop: aValue [
	^ self
		propertyAt: #textStop
		put: aValue
]
